cl.cromer.estructuras

## Enum Logs.DEBUG_TIPOS

- java.lang.Object
- - java.lang.Enum<Logs.DEBUG_TIPOS>
  - - cl.cromer.estructuras.Logs.DEBUG_TIPOS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Logs.DEBUG_TIPOS>

Enclosing class:
  Logs

    private static enum Logs.DEBUG_TIPOS
    extends java.lang.Enum<Logs.DEBUG_TIPOS>

Tipos de depuración.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARCHIVO`
`CONSOLA`

### Method Summary

All Methods Static Methods Concrete Methods
`static Logs.DEBUG_TIPOS` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Logs.DEBUG_TIPOS[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ARCHIVO

    public static final Logs.DEBUG_TIPOS ARCHIVO

#### CONSOLA

    public static final Logs.DEBUG_TIPOS CONSOLA

### Method Detail

#### values

    public static Logs.DEBUG_TIPOS[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Logs.DEBUG_TIPOS c : Logs.DEBUG_TIPOS.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Logs.DEBUG_TIPOS valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null